Bug 356921 - Thinkfinger's PAM module emits annoying RETURN key when using password
Thinkfinger's PAM module emits annoying RETURN key when using password
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thinkfinger (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 435992 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 12:50 EDT by David Zeuthen
Modified: 2013-03-05 22:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:04:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 18375 None None None Never
Launchpad 256429 None None None Never

  None (edit)
Description David Zeuthen 2007-10-29 12:50:28 EDT
I'm a happy thinkfinger user however when I choose to authenticate using my
password; an annoying RETURN keypress is synthesized by thinkfinger. It's easy
to verify this; just log on to VT1 and you will see a newline just after having
entered your password.

This is a huge problem when you use PAM from a desktop application; the RETURN
keypress is intercepted by the toolkit and if a widget is focused (typically the
same button that caused the auth dialog to come up in the first place), it is
errornously clicked.

It's easy to very that thinkfinger is doing something fishy here

$ strings /lib/security/pam_thinkfinger.so  |grep uinput
uinput_cr
uinput_close
uinput_open
/dev/input/uinput
/dev/misc/uinput
/dev/uinput
Initializing uinput failed: %s.
Could not send carriage return via uinput: %s.

(adding tmraz as Cc as he owns PAM)
Comment 1 Julian Sikorski 2007-10-29 12:56:22 EDT
I can't do much about this myself, thus CCing upstream.
Comment 2 Julian Sikorski 2007-11-15 09:15:52 EST
Quoting Timo's response from the ML:
“The uinput hack should not trigger when a password is used.  Having that said,
I have not seen the CR to be emitted when using a password.  It's probably a
Fedora specific issue.”
Comment 3 Bug Zapper 2008-05-13 23:46:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Noel J. Bergman 2008-12-21 08:03:20 EST
It is not Fedora specific.  It has been found in Ubuntu as well.

Initially we had to work around a bug in HAL, and once Jon Oberheide worked around that problem we saw this other one with multiple <cr>.  I found that r116 in Thinkfinger had introduced this extra <cr> defect, and could be reverted given the other fix.

I run with a locally fixed version of pam_thinkfinger.so containing both Jon's patch and reverting r116, and all works fine.
Comment 5 Noel J. Bergman 2008-12-21 08:04:30 EST
This problem is present in Fedora 10.
Comment 6 David Nalley 2008-12-21 10:15:30 EST
*** Bug 435992 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2009-06-09 19:07:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 12:04:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.